<xml></xml>

Saxon API for .NET |

# XPathSelector.GetEnumerator Method

Evaluate the expression, returning the result as an `IEnumerator` (that is, an enumerator over a sequence of nodes and/or atomic values).

public IEnumerator GetEnumerator();

#### Return Value

An enumerator over the sequence that represents the results of the expression. Each object in this sequence will be an instance of `XdmItem`. Note that the expression may be evaluated lazily, which means that a successful response from this method does not imply that the expression has executed successfully: failures may be reported later while retrieving items from the iterator.

#### Implements

IEnumerable.GetEnumerator

#### See Also

XPathSelector Class | Saxon.Api Namespace